clang 8.0.0

Public Member Functions | List of all members
clang::ento::ModelInjector Class Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/StaticAnalyzer/Frontend/ModelInjector.h"`

Inheritance diagram for clang::ento::ModelInjector:
[legend]
Collaboration diagram for clang::ento::ModelInjector:
[legend]

## Public Member Functions
| ModelInjector (CompilerInstance &CI)
Stmt * | getBody (const FunctionDecl *D) override
Stmt * | getBody (const ObjCMethodDecl *D) override
Public Member Functions inherited from clang::CodeInjector
| CodeInjector ()
virtual | ~CodeInjector ()

## Detailed Description

Definition at line 39 of file ModelInjector.h.

## Constructor & Destructor Documentation

## ◆ ModelInjector()

ModelInjector::ModelInjector | ( | CompilerInstance & | CI | ) |

Definition at line 28 of file ModelInjector.cpp.

References clang::InputKind::CXX, clang::DesiredStackSize, clang::CompilerInstance::getAnalyzerOpts(), clang::CompilerInstance::getASTContext(), getBody(), clang::CompilerInstance::getDiagnosticClient(), clang::CompilerInstance::getFileManager(), clang::CompilerInstance::getInvocation(), clang::SourceManager::getMainFileID(), clang::NamedDecl::getName(), clang::CompilerInstance::getPCHContainerOperations(), clang::CompilerInstance::getPreprocessorPtr(), clang::CompilerInstance::getSourceManager(), clang::CompilerInstance::getVirtualFileSystem(), clang::CompilerInstance::setInvocation(), clang::SourceManager::setMainFileID(), and SM.

## Member Function Documentation

## ◆ getBody() [1/2]

Stmt* clang::ento::ModelInjector::getBody | ( | const FunctionDecl * | D | ) |
| override virtual

Implements clang::CodeInjector.

Referenced by ModelInjector().

## ◆ getBody() [2/2]

Stmt* clang::ento::ModelInjector::getBody | ( | const ObjCMethodDecl * | D | ) |
| override virtual

Implements clang::CodeInjector.

The documentation for this class was generated from the following files:

- lib/StaticAnalyzer/Frontend/ModelInjector.h
- lib/StaticAnalyzer/Frontend/ModelInjector.cpp